#---
# Excerpted from "Rails Recipes"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_rr for more book information.
#---
class AddUsersAndTaskRemindersTables < ActiveRecord::Migration
  def self.up
    create_table :users do |t|
      t.column :name, :string
      t.column :time_zone, :string
    end
    create_table :task_reminders do |t|
      t.column :user_id, :integer
      t.column :due_at, :datetime
      t.column :description, :text
    end
  end
  
  def self.down
    drop_table :users
    drop_table :task_reminders
  end
end
